Bug 1947487 - Document known corner case with differing AZs and DVM
Summary: Document known corner case with differing AZs and DVM
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Migration Toolkit for Containers
Classification: Red Hat
Component: Documentation
Version: 1.4.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 1.5.0
Assignee: Avital Pinnick
QA Contact: Xin jiang
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-08 15:17 UTC by Erik Nelson
Modified: 2021-06-03 11:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-03 11:16:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Erik Nelson 2021-04-08 15:17:46 UTC
There exists a corner case that can occur with DVM when a workload is using node preference configuration that could cause it to fail to launch due to being unable to mount a volume that resides in a different availability zone:

1. DVM controller creates the rsync client pods on the destination with spec.nodeName: "". The empty nodeName means that it will be scheduled by the kube scheduler on any available nodes in the destination cluster

2.Assume that the kube-scheduler selected node A in availability zone 1.

3. Later on when we migrate the workloads, the application pods can have node selectors or other node scheduling configurations, that forces the application pods to be deployed on node B in availability zone 2.

4. Because the pvc was first used by the pods running on node A, this will mean that when pod on node B tries to run, it will not find the pvc and will not be able to run.

We'd like to document this as a known issue.

Comment 2 Xin jiang 2021-06-02 09:18:04 UTC
LGTM

Comment 3 Avital Pinnick 2021-06-03 11:16:13 UTC
Changes merged


Note You need to log in before you can comment on or make changes to this bug.